/* GOOGLE FONTS IMPORT */
@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600;700;900&display=swap');

*{
    padding: 0;
    margin: 0;
    font-family: 'Poppins', sans-serif;
}

body{
    color: var(--color-2);
}

/* VARIABLE CSS */
:root{
    /* background colors */
    --bg-color-1: #a4bad6;
    --bg-color-2: #e8eef5;
    --bg-color-3: #dde8f7;
    --bg-dropdown: #F4FAFF; /*#f2f2f8*/

    /* font colors */
    --color-1: #143a6a;
    --color-2: #011D31;
    --color-3: #7798c1; /*hover navbar*/ /*#a4bad6*/
    --color-4: #e8eef5;

    /* Button colors */
    --btn-color-1: #3677b0;
    --btn-color-2: #3c84c4;
    --btn-color-3:  #46406c;
    
    /* Button hover */
    --link-color-1: #19a6f3;
    --link-color-2: #0767a2;

    /* Fonts Bold */
    --bold-1: 300;
    --bold-2: 400;
    --bold-3: 600;
    --bold-4: 900; 
}

body::-webkit-scrollbar{
    display: none;
}

/* Navbar Section */
header{
    width: 100%;
    background-color: var(--bg-color-1);
}

.btn-primary,
.btn-primary:visited {
    color: var(--color-4) !important;
    background-color: var(--btn-color-1) !important;
    border-color: var(--btn-color-1) !important;
}
.btn-primary:hover,
.btn-primary:active {
    color: var(--color-4) !important;
    background-color: var(--btn-color-2) !important;
    border-color: var(--btn-color-2) !important;
}
.btn-outline-primary,
.btn-outline-primary:visited {
    color: var(--color-1) !important;
    border-color: var(--btn-color-1) !important;
}
.btn-outline-primary:hover,
.btn-outline-primary:active {
    color: var(--color-4) !important;
    background-color: var(--btn-color-1) !important;
}
/* End Navbar Section */

/* Main Section */
.main-section{
    padding: 8rem 0;
    background-color: var(--bg-color-2);
}
.currency-section {
    background-color: #fbfbfb;
    box-shadow: 0px 0px 20px rgba(0, 0, 0, 0.5);
    padding: 2.5rem 5rem;
    margin: 0 auto;
    border-radius: 0.6rem;
    max-width: 650px;
}
.currency-title-container{
    display: block;
    justify-content: center;
    align-items: center;
    margin: 0 auto;
    text-align: center;
}
.info-icon{
    font-size: 32px;
}
.title-info{
    margin-bottom: 26px;
    color: #46406c;
    font-size: 24px;
    padding-top: 8px;
    font-weight: var(--bold-3);
}
.rate{
    margin-top: 1rem;
}
.rate1{
    color: #848484;
    font-weight: var(--bold-3);
}
.rate2{
    margin-top: 2px;
    font-size: 12px;
    font-weight: 500;
}
.main{
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    margin-top: 1.2rem;
}
.options > select{
    border: 1px solid #000;
    border-radius: 4px;
    padding: 4px 6px;
}
.middle{
    margin-top: 60px;
}
.input input{
    all: unset;
    display: inline-block;
    margin-top: 0.8rem;
    width: 200px; /*175*/
    height: 42px;
    padding: 5px;
    background-color: #ebebeb;
    color: #848484;
    font-size: 1.3rem;
    border: none;
    border-radius: 7px;
    font-weight: 600;
    appearance: textfield;
}
.target{
    transform: translateX(-1%);
}
.result{
    margin-top: 1.2rem;
    width: 100%;
    height: 50px;
    text-align: center;
    color: var(--color-4);
    background-color: var(--btn-color-1);
    outline: none;
    border: none;
    border-radius: 5px;
    font-size: 20px;
}
.result:active{
    background-color: var(--btn-color-2);
}
/* End Main Section */

@media screen and (max-width: 992px) {
  header{
      width: 100%;
  }
}
@media screen and (max-width: 768px) {
}
@media screen and (max-width: 576px) {
  .currency-section{
      padding: 32px 42px;
      max-width: 400px;
  }
  .info-icon{
      font-size: 28px;
  }
  .rate1{
        font-size: 0.8rem;
  }
  .rate2{
      font-size: 0.6rem;
  }
  .options > select{
      padding: 4px 8px;
      font-size: 10px;
  }
  .middle{
      margin-top: 40px;
  }
  .input input{
      margin-top: 10px;
      width: 100px; /*175*/
      height: 30px;
      padding: 0 6px;
      font-size: 12px;
      border-radius: 4px;
  }
  .result{
      margin-top: 1.2rem;
      width: 100%;
      height: 40px;
      border-radius: 4px;
      font-size: 1rem;
  }
  .result{
    margin-top: 14px;
    width: 100%;
    height: 40px;
    font-size: 14px;
  }
}
@media screen and (max-width: 360px) {
  .main-section{
     padding: 11rem 0;
  }
  .currency-section{
      max-width: 300px;
      padding: 32px 32px;
  }
  .info-icon{
      font-size: 28px;
  }
  .title-info{
      font-size: 20px;
  }
  .rate1{
        font-size: 0.8rem;
  }
  .rate2{
      font-size: 0.6rem;
  }
  .options > select{
      padding: 2px 0;
      font-size: 10px;
  }
  .middle{
      margin-top: 40px;
  }
  .input input{
      margin-top: 10px;
      width: 80px; /*175*/
      height: 30px;
      padding: 0 6px;
      font-size: 12px;
      border-radius: 4px;
  }
  .result{
      margin-top: 1.2rem;
      width: 100%;
      height: 40px;
      border-radius: 4px;
      font-size: 1rem;
  }
  .result{
    margin-top: 14px;
    width: 100%;
    height: 30px;
    font-size: 12px;
  }
}